<div class="container">
  <div *ngIf="auth.user$ | async; then authenticated; else guest">
    <!-- template will replace this div -->
  </div>

  <!-- User NOT logged in -->
  <ng-template #guest>
    <h3>hello, GUEST</h3>
    <p>Login to get started...</p>

    <button (click)="googleSignin()"><i></i> Connect Google</button>
  </ng-template>

  <!-- User logged in -->
  <ng-template #authenticated>
    <div *ngIf="auth.user$ | async as user">
      <h3>hello , {{ user.displayName }}</h3>
      <img [src]="user.photoURL" width="100px" height="100px" />
      <p>email: {{ user.email }}</p>

      <input type="text" [(ngModel)]="firstname" name="firstname" /><br />
      <input type="text" [(ngModel)]="lastname" name="lastname" /><br />

      <button (click)="add(user.email, user.uid)">add info</button> <br />
      <button (click)="gotohome(user.uid)">go home</button> <br />
      <button (click)="auth.signOut()">Logout</button>
    </div>
  </ng-template>
</div>
